=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2011-02-28 14:09:50 +0000
+++ client/drizzletest.cc	2011-02-28 14:23:26 +0000
@@ -1664,8 +1664,8 @@
       die("Too long variable name: %s", save_var_name);
 
     string save_var_name_str(save_var_name, length);
-    if (var_hash_t::mapped_type* i= find_ptr(var_hash, save_var_name_str))
-      v= *i;
+    if (var_hash_t::mapped_type* ptr= find_ptr(var_hash, save_var_name_str))
+      v= *ptr;
     else
     {
       char buff[MAX_VAR_NAME_LENGTH+1];
@@ -1698,8 +1698,8 @@
 static VAR *var_obtain(const char *name, int len)
 {
   string var_name(name, len);
-  if (var_hash_t::mapped_type* i= find_ptr(var_hash, var_name))
-    return *i;
+  if (var_hash_t::mapped_type* ptr= find_ptr(var_hash, var_name))
+    return *ptr;
   return var_hash[var_name] = var_init(0, name, len, "", 0);
 }
 
@@ -3376,8 +3376,8 @@
 {
   string error_name_s(error_name, error_end);
 
-  if (ErrorCodes::mapped_type* i= find_ptr(global_error_names, error_name_s))
-    return *i;
+  if (ErrorCodes::mapped_type* ptr= find_ptr(global_error_names, error_name_s))
+    return *ptr;
 
   die("Unknown SQL error name '%s'", error_name_s.c_str());
   return 0;

=== modified file 'drizzled/session/table_messages.cc'
--- drizzled/session/table_messages.cc	2011-02-24 13:59:28 +0000
+++ drizzled/session/table_messages.cc	2011-02-28 14:23:26 +0000
@@ -47,10 +47,10 @@
 
 bool TableMessages::getTableMessage(const identifier::Table &identifier, message::Table &table_message)
 {
-  Cache::mapped_type* i= find_ptr(table_message_cache, identifier.getPath());
-  if (!i)
+  Cache::mapped_type* ptr= find_ptr(table_message_cache, identifier.getPath());
+  if (!ptr)
     return false;
-  table_message.CopyFrom(*i);
+  table_message.CopyFrom(*ptr);
   return true;
 }
 
@@ -62,11 +62,11 @@
 bool TableMessages::renameTableMessage(const identifier::Table &from, const identifier::Table &to)
 {
   table_message_cache[to.getPath()]= table_message_cache[from.getPath()];
-  Cache::mapped_type* i= find_ptr(table_message_cache, to.getPath());
-  if (!i)
+  Cache::mapped_type* ptr= find_ptr(table_message_cache, to.getPath());
+  if (!ptr)
     return false;
-  i->set_schema(to.getSchemaName());
-  i->set_name(to.getTableName());
+  ptr->set_schema(to.getSchemaName());
+  ptr->set_name(to.getTableName());
   return true;
 }
 

=== modified file 'drizzled/sys_var.cc'
--- drizzled/sys_var.cc	2011-02-24 14:28:14 +0000
+++ drizzled/sys_var.cc	2011-02-28 14:23:26 +0000
@@ -1590,8 +1590,8 @@
 
   sys_var *result= NULL;
 
-  if (SystemVariableMap::mapped_type* i= find_ptr(system_variable_map, lower_name))
-    result= *i;
+  if (SystemVariableMap::mapped_type* ptr= find_ptr(system_variable_map, lower_name))
+    result= *ptr;
 
   if (result == NULL)
   {

=== modified file 'drizzled/table_function_container.cc'
--- drizzled/table_function_container.cc	2011-02-24 14:28:14 +0000
+++ drizzled/table_function_container.cc	2011-02-28 14:23:26 +0000
@@ -30,8 +30,8 @@
 
 plugin::TableFunction *TableFunctionContainer::getFunction(const std::string &path)
 {
-  ToolMap::mapped_type* i= find_ptr(table_map, path);
-  return i ? *i : NULL;
+  ToolMap::mapped_type* ptr= find_ptr(table_map, path);
+  return ptr ? *ptr : NULL;
 }
 
 void TableFunctionContainer::getNames(const string &predicate, std::set<std::string> &set_of_names)

